package com.neusoft.smart.pos.dto.inventory.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public abstract class BaseMenuResponse {
    
    @ApiModelProperty(value = "菜品id")
    protected Integer id;
    
    @ApiModelProperty(value = "菜品名")
    protected String name;
    
    @ApiModelProperty(value = "菜品价格")
    protected BigDecimal price;
    
    @ApiModelProperty(value = "菜品类别id")
    protected Integer category;
    
    @ApiModelProperty(value = "集团id")
    protected Integer org;
    
    @ApiModelProperty(value = "门店id")
    protected Integer shop;
    
    @ApiModelProperty(value = "菜品是否上架 1: 上架 0: 下架")
    protected Integer onSale;
    
    @ApiModelProperty(value = "图片")
    protected String image;
    
    public BaseMenuResponse(InventoryGoodsResponse goodsMenu) {
        id = goodsMenu.getId();
        name = goodsMenu.getName();
        price = goodsMenu.getPrice();
        category = goodsMenu.getCateId();
        org = goodsMenu.getOrgId();
        shop = goodsMenu.getShopId();
        onSale = goodsMenu.getOnSale();
        image = goodsMenu.getImage();
    }
    
    public BaseMenuResponse() {
    }
}
